diff --git a/tests/test_toulouse_maelis.py b/tests/test_toulouse_maelis.py
index 04b9742f..0f5ef10c 100644
--- a/tests/test_toulouse_maelis.py
+++ b/tests/test_toulouse_maelis.py
@@ -1220,30 +1158,35 @@ def test_create_family(mocked_post, mocked_get, con, app):
         'rl1/birth/place': 'Rabbat',
         'rl1/adresse/idStreet': 'AM0330',
         'rl1/adresse/street1': 'Chateau',
         'rl1/adresse/town': 'Paris',
         'rl1/adresse/zipcode': '75014',
         'rl1/adresse/numComp': 'B',
         'rl1/profession/codeCSP': 'ART',
         'rl1/CAFInfo/organ': 'A10007752822',
+        'emergencyPersonList/0/civility': 'MME',
+        'emergencyPersonList/0/firstname': 'Keny',
+        'emergencyPersonList/0/lastname': 'Arkana',
+        'emergencyPersonList/0/sexe': 'F',
+        'emergencyPersonList/0/dateBirth': '1982-12-20',
+        'emergencyPersonList/0/quality': 'T',
         'childList/0/lastname': 'Zimmerman',
         'childList/0/firstname': 'Robert',
         'childList/0/sexe': 'M',
         'childList/0/birth/dateBirth': '1941-05-24',
         'childList/0/birth/place': 'Saint-louis',
         'childList/0/birth/communeCode': '91122',
         'childList/0/birth/countryCode': '99100',
         'childList/0/dietcode': 'RSV',
         'childList/0/medicalRecord/vaccinList/0/code': 'DTC',
         'childList/0/medicalRecord/vaccinList/0/vaccinationDate': '1940-07-26',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert_sent_payload(mocked_post, 'Q_create_family.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == {
         'number': 196545,
         'password': '394634V2',
         'rl1ErrorList': [],
         'childErrorList': [],
     }
     assert Link.objects.get(resource=con, family_id='196545', name_id='local')
@@ -1285,21 +1228,18 @@ def test_create_family_already_linked_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'already-linked'
     assert resp.json['err_desc'] == 'User already linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_family_maelis_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = CREATE_FAMILY_ERR
+def test_create_family_maelis_error(family_service, con, app):
+    family_service.add_soap_response('createFamily', get_xml_file('R_create_family_error.xml'))
     url = get_endpoint('create-family')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1348,21 +1288,23 @@ def test_create_family_wrong_referential_key_error(con, app):
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert (
         resp.json['err_desc']
         == "childList/0/medicalRecord/vaccinList/0/code key value 'plop' do not belong to 'Vaccin' referential"
     )
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_family(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_FAMILY
+def test_update_family(family_service, con, app):
+    def request_check(request):
+        assert request.emergencyPersonList['personList'][0]['firstname'] == 'Keny'
+
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family.xml'), request_check=request_check
+    )
     url = get_endpoint('update-family')
     params = {
         'category': 'BI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1395,17 +1337,16 @@ def test_update_family(mocked_post, mocked_get, con, app):
         'childList/1/firstname': 'Brunelle',
         'childList/1/lastname': 'Doe',
         'childList/1/birth/dateBirth': '1943-01-19',
         'childList/1/sexe': 'F',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_family.xml')
     assert resp.json['err'] == 0
     assert resp.json['data']['number'] == 196544
     assert not resp.json['data']['childErrorList']
 
 
 def test_update_family_not_linked_error(con, app):
     url = get_endpoint('update-family')
     params = {
@@ -1421,21 +1362,18 @@ def test_update_family_not_linked_error(con, app):
         'rl1/adresse/zipcode': '75014',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_family_maelis_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_FAMILY_ERR
+def test_update_family_maelis_error(family_service, con, app):
+    family_service.add_soap_response('updateFamily', get_xml_file('R_update_family_error.xml'))
     url = get_endpoint('update-family')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'childList/0/lastname': 'Zimmerman',
         'childList/0/firstname': 'Robert',
         'childList/0/sexe': 'M',
         'childList/0/birth/dateBirth': '1941-05-24',
@@ -1443,21 +1381,20 @@ def test_update_family_maelis_error(mocked_post, mocked_get, con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'E65a'
     assert "E65a : Il existe déjà un enfant" in resp.json['err_desc']
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_family_soap_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_FAMILY_500
+def test_update_family_soap_error(family_service, con, app):
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family_soap_error.xml'), status=500
+    )
     url = get_endpoint('update-family')
     params = {
         'nbChild': '100',
         'category': 'BI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
@@ -1514,37 +1451,33 @@ def test_update_family_wrong_referential_key_error(con, app):
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert (
         resp.json['err_desc']
         == "childList/0/medicalRecord/vaccinList/0/code key value 'plop' do not belong to 'Vaccin' referential"
     )
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_rl1(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = CREATE_FAMILY
+def test_create_rl1(family_service, con, app):
+    family_service.add_soap_response('createFamily', get_xml_file('R_create_family.xml'))
     url = get_endpoint('create-rl1')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
         'rl1/birth/dateBirth': '1938-07-26',
         'rl1/adresse/street1': 'Chateau',
         'rl1/adresse/town': 'Paris',
         'rl1/adresse/zipcode': '75014',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert_sent_payload(mocked_post, 'Q_create_rl1.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == {'family_id': 196545}
     assert Link.objects.get(resource=con, family_id='196545', name_id='local')
 
 
 def test_create_rl1_empty_referential_key_error(con, app):
     url = get_endpoint('create-rl1')
     params = {
@@ -1605,21 +1538,18 @@ def test_create_rl1_wrong_referential_key_error(con, app):
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert (
         resp.json['err_desc']
         == "rl1/adresse/numComp key value 'plop' do not belong to 'Complement' referential"
     )
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_rl1_maelis_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = CREATE_FAMILY_ERR
+def test_create_rl1_maelis_error(family_service, con, app):
+    family_service.add_soap_response('createFamily', get_xml_file('R_create_family_error.xml'))
     url = get_endpoint('create-rl1')
     params = {
         'category': 'ACCEUI',
         'situation': 'C',
         'rl1/civility': 'M.',
         'rl1/firstname': 'Jhon',
         'rl1/lastname': 'Doe',
         'rl1/quality': 'AU',
@@ -1629,33 +1559,36 @@ def test_create_rl1_maelis_error(mocked_post, mocked_get, con, app):
         'rl1/adresse/zipcode': '75014',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'already-rl1'
     assert 'Il existe déjà' in resp.json['err_desc']
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_rl1(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_RL1_FAMILY, UPDATE_FAMILY]
+def test_update_rl1(family_service, con, app):
+    def request_check(request):
+        assert request.dossierNumber == 1312
+        assert request.rl1['adresse']['street1'] == "Chateau d'eau"
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family_with_only_rl1.xml'))
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family.xml'), request_check=request_check
+    )
     url = get_endpoint('update-rl1')
     params = {
         'civility': 'M.',
         'firstname': 'Jhonny',
         'lastname': 'Doe',
         'quality': 'PERE',
         'birth/dateBirth': '1943-06-15',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_rl1.xml')
     assert resp.json['err'] == 0
 
 
 def test_update_rl1_not_linked_error(con, app):
     url = get_endpoint('update-rl1')
     params = {
         'civility': 'M.',
         'firstname': 'Jhonny',
@@ -1664,21 +1597,19 @@ def test_update_rl1_not_linked_error(con, app):
         'birth/dateBirth': '1943-06-15',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_rl1_connection_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = CONNECTION_ERROR
+def test_update_rl1_connection_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family_with_only_rl1.xml'))
+    family_service.add_soap_response('updateFamily', ConnectionError('No address associated with hostname'))
     url = get_endpoint('update-rl1')
     params = {
         'civility': 'M.',
         'firstname': 'Jhonny',
         'lastname': 'Doe',
         'quality': 'PERE',
         'birth/dateBirth': '1943-06-15',
     }
@@ -1700,38 +1631,40 @@ def test_update_rl1_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "quality key value 'plop' do not belong to 'Quality' required referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_rl2(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_RL1_FAMILY, UPDATE_FAMILY]
+def test_create_rl2(family_service, con, app):
+    def request_check(request):
+        assert request.dossierNumber == 1312
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family_with_only_rl1.xml'))
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family.xml'), request_check=request_check
+    )
     url = get_endpoint('create-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
         'adresse/num': '170',
         'adresse/street1': "Chateau d'eau",
         'adresse/town': 'Paris',
         'adresse/zipcode': '75014',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert_sent_payload(mocked_post, 'Q_create_rl2.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == {'id': '614062'}
 
 
 def test_create_rl2_not_linked_error(con, app):
     url = get_endpoint('create-rl2')
     params = {
         'civility': 'MME',
@@ -1746,21 +1679,19 @@ def test_create_rl2_not_linked_error(con, app):
         'adresse/zipcode': '75014',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_rl2_connection_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = CONNECTION_ERROR
+def test_create_rl2_connection_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family_with_only_rl1.xml'))
+    family_service.add_soap_response('updateFamily', ConnectionError('No address associated with hostname'))
     url = get_endpoint('create-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
@@ -1771,21 +1702,18 @@ def test_create_rl2_connection_error(mocked_post, mocked_get, con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_rl2_already_exists_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, READ_FAMILY]
+def test_create_rl2_already_exists_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
     url = get_endpoint('create-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
@@ -1817,34 +1745,37 @@ def test_create_rl2_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "quality key value 'plop' do not belong to 'Quality' required referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_rl2(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
+def test_update_rl2(family_service, con, app):
+    def request_check(request):
+        assert request.dossierNumber == 1312
+        assert request.rl2['adresse']['street1'] == "Chateau d'eau"
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family.xml'), request_check=request_check
+    )
     url = get_endpoint('update-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_rl2.xml')
     assert resp.json['err'] == 0
 
 
 def test_update_rl2_not_linked_error(con, app):
     url = get_endpoint('update-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
@@ -1854,42 +1785,37 @@ def test_update_rl2_not_linked_error(con, app):
         'birth/dateBirth': '1940-06-22',
     }
 
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'not-linked'
     assert resp.json['err_desc'] == 'User not linked to family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_rl2_connection_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = CONNECTION_ERROR
+def test_update_rl2_connection_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response('updateFamily', ConnectionError('No address associated with hostname'))
     url = get_endpoint('update-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_rl2_not_exists_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_RL1_FAMILY
+def test_update_rl2_not_exists_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family_with_only_rl1.xml'))
     url = get_endpoint('update-rl2')
     params = {
         'civility': 'MME',
         'firstname': 'JANE',
         'lastname': 'DOE',
         'maidenName': 'Smith',
         'quality': 'MERE',
         'birth/dateBirth': '1940-06-22',
@@ -1913,33 +1839,29 @@ def test_update_rl2_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "quality key value 'plop' do not belong to 'Quality' required referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_child(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = CREATE_CHILD
+def test_create_child(family_service, con, app):
+    family_service.add_soap_response('createChild', get_xml_file('R_create_child.xml'))
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
         'birth/place': 'Port Arthur',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
-    assert_sent_payload(mocked_post, 'Q_create_child.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == {'child_id': 613880}
 
 
 def test_create_child_empty_referential_key_error(con, app):
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
@@ -1980,75 +1902,72 @@ def test_create_child_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "sexe key value 'plop' do not belong to 'Sex' required referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_child_connection_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = CONNECTION_ERROR
+def test_create_child_connection_error(family_service, con, app):
+    family_service.add_soap_response('createChild', ConnectionError('No address associated with hostname'))
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
         'birth/place': 'Port Arthur',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_create_child_maelis_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = CREATE_CHILD_ERR
+def test_create_child_maelis_error(family_service, con, app):
+    family_service.add_soap_response('createChild', get_xml_file('R_create_child_error.xml'))
     url = get_endpoint('create-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
         'birth/place': 'Port Arthur',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'already-child'
     assert 'Il existe déjà' in resp.json['err_desc']
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = [READ_FAMILY, UPDATE_FAMILY]
+def test_update_child(family_service, con, app):
+    def request_check(request):
+        assert request.childList[0]['num'] == '613880'
+        assert request.childList[0]['authorizedPersonList'][0]['personInfo']['firstname'] == 'AMEL'
+
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family.xml'))
+    family_service.add_soap_response(
+        'updateFamily', get_xml_file('R_update_family.xml'), request_check=request_check
+    )
     url = get_endpoint('update-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
         'birth/place': 'Port Arthur',
         'bPhoto': True,
         'bLeaveAlone': False,
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_child.xml')
     assert resp.json['err'] == 0
 
 
 def test_update_child_not_linked_error(con, app):
     url = get_endpoint('update-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
@@ -2073,61 +1992,52 @@ def test_update_child_wrong_referential_key_error(con, app):
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert resp.json['err_desc'] == "sexe key value 'plop' do not belong to 'Sex' required referential"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_connection_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.side_effect = CONNECTION_ERROR
+def test_update_child_connection_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', ConnectionError('No address associated with hostname'))
     url = get_endpoint('update-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
         'birth/place': 'Port Arthur',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=613880', params=params, status=500)
     assert resp.json['err']
     assert resp.json['err_desc'] == 'No address associated with hostname'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_child_not_exists_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = READ_RL1_FAMILY
+def test_update_child_not_exists_error(family_service, con, app):
+    family_service.add_soap_response('readFamily', get_xml_file('R_read_family_with_only_rl1.xml'))
     url = get_endpoint('update-child')
     params = {
         'lastname': 'DOE',
         'firstname': 'JANNIS',
         'sexe': 'F',
         'birth/dateBirth': '1943-01-19',
         'birth/place': 'Port Arthur',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&child_id=42', params=params)
     assert resp.json['err'] == 'no-child'
     assert resp.json['err_desc'] == 'No child 42 to update on family'
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_coordinate(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_FAMILY
+def test_update_coordinate(family_service, con, app):
+    family_service.add_soap_response('updateCoordinate', get_xml_file('R_update_family.xml'))
     url = get_endpoint('update-coordinate')
     params = {
         'adresse/num': '169',
         'adresse/numComp': 'B',
         'adresse/idStreet': 'AM0330',
         'adresse/street1': 'Château',
         'adresse/street2': None,
         'adresse/town': 'Paris',
@@ -2138,17 +2048,16 @@ def test_update_coordinate(mocked_post, mocked_get, con, app):
         'profession/phone': '0123456789',
         'profession/addressPro': {'num': None, 'street': None, 'zipcode': None, 'town': 'Orléans'},
         'CAFInfo/number': '789',
         'CAFInfo/organ': 'A10007752822',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params)
-    assert_sent_payload(mocked_post, 'Q_update_coordinate.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == 'ok'
 
 
 def test_update_coordinate_schema_error(con, app):
     url = get_endpoint('update-coordinate')
     params = {
         'contact/isContactMail': 'true more text',
@@ -2164,21 +2073,17 @@ def test_update_coordinate_schema_error(con, app):
         'adresse/town': 'Paris',
         'adresse/zipcode': '75014',
     }
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params, status=400)
     assert resp.json['err'] == 1
     assert resp.json['err_desc'] == "'true more text' is not of type 'boolean'"
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_coordinate_wrong_referential_key_error(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_FAMILY
+def test_update_coordinate_wrong_referential_key_error(con, app):
     url = get_endpoint('update-coordinate')
     params = {
         'adresse/num': '169',
         'adresse/numComp': 'plop',
         'adresse/street1': 'Château',
         'adresse/street2': None,
         'adresse/town': 'Paris',
         'adresse/zipcode': '75014',
@@ -2187,33 +2092,29 @@ def test_update_coordinate_wrong_referential_key_error(mocked_post, mocked_get,
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params)
     assert resp.json['err'] == 'wrong-key'
     assert (
         resp.json['err_desc'] == "adresse/numComp key value 'plop' do not belong to 'Complement' referential"
     )
 
 
-@mock.patch('passerelle.utils.Request.get')
-@mock.patch('passerelle.utils.Request.post')
-def test_update_quotient(mocked_post, mocked_get, con, app):
-    mocked_get.return_value = FAMILY_SERVICE_WSDL
-    mocked_post.return_value = UPDATE_QUOTIENT
+def test_update_quotient(family_service, con, app):
+    family_service.add_soap_response('createUpdateQuotient', get_xml_file('R_create_update_quotient.xml'))
     url = get_endpoint('update-quotient')
     params = {
         'yearRev': '2021',
         'dateStart': '2022-10-01',
         'dateEnd': '2023-01-31',
         'mtt': '1500.33',
         'cdquo': 'QS',
     }
 
     Link.objects.create(resource=con, family_id='1312', name_id='local')
     resp = app.post_json(url + '?NameID=local&rl_id=613878', params=params)
-    assert_sent_payload(mocked_post, 'Q_create_update_quotient.xml')
     assert resp.json['err'] == 0
     assert resp.json['data'] == 'ok'
 
 
 def test_update_quotient_schema_error(con, app):
     url = get_endpoint('update-quotient')
     params = {
         'yearRev': '2021',
